/*******************************************************************************
*
*  Web Vengeance Poo Pack - main.c
*
*  Poo pack's global variables and InitEffects() routine.
*
*	Copyright (c) 1997 SegaSoft, Inc.  All Rights Reserved.
*
*------------------------------------------------------------------------------
*                   CONFIDENTIAL AND PROPRIETARY INFORMATION
*------------------------------------------------------------------------------
*  The contents of this file are the property of SegaSoft, Inc., 
*  and may not be used or duplicated without the permission of SegaSoft, Inc.
*------------------------------------------------------------------------------
*
*  Edit History:
*		97-Sep-29	DJS	Creation.
*
*  Initials:
*  	DJS	Dan J. Su
*
*******************************************************************************/
#include <ddraw.h>
#include <windows.h>
#include "BlasterEffects.h"
#include "EffectType.h"


#include "diaper.h"
#include "gst.h"           // Giant Steaming Turd :)
#define DEFINE_MAIN
#include "main.h"
#include "seagull.h"


// ---------- Defines
#define PACK_NAME    "Poo"


/******************************************************************************
*
*  NAME
*		InitEffects
*
*  SYNOPSIS
*     iSuccess = InitEffects();
*
*  DESCRIPTION
*		Initializes the Poo Pack.
*
*  INPUTS
*		None
*
*  OUTPUTS
*		int iSuccess = TRUE
*
*  BUGS
*		None
*
*  SEE ALSO
*     DaggerDraw(), GrenadeDraw(), MolotovDraw()
*
********************************************************************************/
int InitEffects( void )
{
   RegisterEffect( EFFECT_NAME_DIAPER,    PACK_NAME, DiaperDraw,  DiaperUpdate,  "images\\Poo\\Diaper\\7esplatb06.pcx",  DiaperManualSave,    NULL );
   RegisterEffect( EFFECT_NAME_GST,       PACK_NAME, GST_Draw,    GST_Update,    "images\\Poo\\GST\\7oturda.pcx",        GST_ManualSave,      NULL );
   RegisterEffect( EFFECT_NAME_SEAGULL,   PACK_NAME, SeagullDraw, SeagullUpdate, "images\\Poo\\Seagull\\7esplatanid04.pcx", SeagullManualSave,   NULL );

   return ( TRUE );
}


